$bg-layout: #f3f3f3;
$bg-content: #F4F6FA;
$bg-body-table: #fafafa;
$bg-select-drop-Down-list: #f5f5f5;
$border-bottom-gray: #f7f7fc;
//Success
$bg-success-dark: #00966D;
$bg-success-default: #00BA88;
$bg-success-light: #34EAB9;
$bg-success-bg: #C7F8EA;
$bg-success-active: #DAF9EC;
$bg-success-label: #06A561;
//Warning
$bg-warning-dark: #946200;
$bg-warning-default: #F4B740;
$bg-warning-light: #FFDE9F;
$bg-warning-bg: #FFF2DA;
$bg-warning-label: #F99600;
//Alert
$bg-alert-dark: #FA0B0B;
$bg-alert-default: #FA4949;
$bg-alert-light: #FF8787;
$bg-alert-bg: #FFC9C9;
$active-status-red-global: #FDE7EA;
//Error
$bg-error-dark: #C30052;
$bg-error-default: #ED2E7E;
$bg-error-light: #FF84B7;
$bg-error-bg: #FCDCEA;
$bg-error-red: #ff4d4f;
//Primary
$bg-primary-dark: #24264E;
$bg-primary-darker: #00009A;
$bg-primary-default: #141ED2;
$bg-primary-light: #7F85F3;
$bg-primary-bg: #E9EAFF;
$bg-primary-violet:#3f51b5;
//Dayblue
$bg-dayblue-dark: #76CCE7;
$bg-dayblue-default: #66CAFF;
$bg-dayblue-light: #99DCFF;
$bg-dayblue-bg: #D6F1FF;
//Secondary
$bg-secondary-dark: #7900FF;
$bg-secondary-default: #9B40FF;
$bg-secondary-light: #BC80FF;
$bg-secondary-bg: #EEDFFF;
//Gray
$bg-gray-dark: #14142A;
$bg-gray-body: #4E4B66;
$bg-gray-label: #6E7191;
$bg-gray-placeholder: #A0A3BD;
$bg-gray-placeholder-dark: #9B9B9B;
$bg-gray-dark-light: #C2C9D1;
$bg-gray-line: #D9DBE9;
$bg-gray-input: #F5F5F5;
$bg-gray-input-light: #F7F7F7;
$bg-gray-bg: #F7F7FC;
$bg-gray-off-white: #FCFCFC;
$bg-gray-light:#d4d7e7;
$bg-gray-rgb: #8B8585;
$bg-gray-new:#E8EAF6;
$bg-gray: #aaadb5;
$bg-disable: #bdbfd1;
//Sidebar
$bg-sidebar-primary: #000056;
$bg-sidebar-menu-active: rgba(255, 255, 255, 0.14);
$bg-sidebar-text-active: #fff;
//Scrollbar
$bg-scrollbar-icon: #14142B;
$bg-scrollbar-bg: #E8E8EA;
$bg-scrollbar-color:#A0A3BD;

//Button color
$bt-primary-default: #141ED2;
$bt-primary-dark: #00009A;
$bt-primary-darker: #24264E;
$bt-primary-gray: #F5F5F5;
$bt-primary-search: #E8EAF6;

//Border-radius
$border-radius-default: 16px;
$border-radius-small: 10px;

//Boder color
$boder-color-white: #f0f0f0;

//Breadcrumb
$color-breadcrumb-title: #A0A3BD;
$color-breadcrumb-title-active: #14142B;

//Content
$bg-content-default: #fff;
$bg-content-org: rgba(232, 234, 246, 1);
$bg-form-default: #FFFFFF;

//Modal
$bg-modal-header: $bt-primary-default;
$bg-modal-header-title: #FFFFFF;
$bg-icon-add-primary: #141ED2;
$bg-modal-header-border: #141ED2;

// Checkbox
$bg-checkbox-inner: $bt-primary-default;

//stepper
$bg-stepper-header: #e7e7e7;
$bg-stepper-border-active: #e0e1e5;
$bg-stepper-selected: rgba(233, 234, 255, 1);
$bg-stepper-border-edited: $bg-primary-light;
$bg-stepper-header-container: #f4f6fa;
$bg-stepper-box-shadow:  rgba(55, 65, 81, 0.08);
$bg-border-top-org: #D4D4D4;
$bg-tag-success: #DAF9EC;

//upload-file
$lb-title-upload: #000000;
$bg-select-model: #f4f6fa;
$bg-select-model-form: #FFFFFF;

//select employee
$bg-checkbox-select: #1890ff;

//divider
$divider-gray:#E8EAF6;

//input
$input-title-required : #FA0B0B;
$input-title-upload: #141ED2;
$input-title-name: #000000;
$input-text-name: #4E4B66;

//Placeholder
@mixin optional-at-root($sel) {
  @at-root #{if(not &, $sel, selector-append(&, $sel))} {
    @content;
  }
}

@mixin placeholder {
  @include optional-at-root('::-webkit-input-placeholder') {
    @content;
  }

  @include optional-at-root(':-moz-placeholder') {
    @content;
  }

  @include optional-at-root('::-moz-placeholder') {
    @content;
  }

  @include optional-at-root(':-ms-input-placeholder') {
    @content;
  }
}


// Variables
//
// Variables should follow the `$component-state-property-size` formula for
// consistent naming. Ex: $nav-link-disabled-color and $modal-content-box-shadow-xs.

// stylelint-disable
$white: #fff !default;
$gray-100: #eff2fe !default;
$gray-200: #fbfbfd !default;
$gray-300: #f0f0f3 !default;
$gray-400: #ced4da !default;
$gray-500: #e1e4ea !default;
$gray-600: #505867 !default;
$gray-700: #ececf2 !default;
$gray-800: #f5f5fa !default;
$gray-900: #8181a5 !default;
$black: #000 !default;

$grays: () !default;
$grays: map-merge(
    (
      '100': $gray-100,
      '200': $gray-200,
      '300': $gray-300,
      '400': $gray-400,
      '500': $gray-500,
      '600': $gray-600,
      '700': $gray-700,
      '800': $gray-800,
      '900': $gray-900,
    ),
    $grays
);

$blue: #5e81f4 !default;
$indigo: #6610f2 !default;
$purple: #9698d6 !default;
$pink: #f5a0ba !default;
$red: #ff808b !default;
$orange: #fd7e14 !default;
$yellow: #f4be5e !default;
$green: #58cf8d !default;
$teal: #2ce5f6 !default;
$cyan: #17a2b8 !default;
$danger: #ff0000 !default;

$colors: () !default;
$colors: map-merge(
    (
      'blue': $blue,
      'indigo': $indigo,
      'purple': $purple,
      'pink': $pink,
      'red': $red,
      'orange': $orange,
      'yellow': $yellow,
      'green': $green,
      'teal': $teal,
      'cyan': $cyan,
      'white': $white,
      'gray': $gray-600,
      'gray-dark': $gray-800,
    ),
    $colors
);

$primary: $blue !default;
$secondary: white !default;
$success: $green !default;
$info: $cyan !default;
$warning: $yellow !default;
$light: $gray-100 !default;
$dark: $gray-800 !default;

$font-size-base: 1.2rem !default; // Assumes the browser default, typically `16px`
$font-size-lg: ($font-size-base * 1.25) !default;
$font-size-sm: ($font-size-base * 0.875) !default;

$font-weight-light: 300 !default;
$font-weight-normal: 400 !default;
$font-weight-bold: 700 !default;

$font-weight-base: $font-weight-normal !default;
$line-height-base: 1.5 !default;

$h1-font-size: 3.2rem !default;
$h2-font-size: 2.6rem !default;
$h3-font-size: 2rem !default;
$h4-font-size: 1.8rem !default;
$h5-font-size: 1.6rem !default;
$h6-font-size: 1.4rem !default;

// Body
//
// Settings for the `<body>` element.

// $body-bg: #f5f5fa !default;
$body-bg: #e6e6f3 !default;
$body-color: #1c1d21 !default;

$grid-gutter-width: 30px !default;

$headings-margin-bottom: 1rem !default;
$headings-font-family: inherit !default;
$headings-font-weight: 700 !default;
$headings-line-height: 1.41 !default;
$headings-color: #1c1d21 !default;

// stylelint-disable value-keyword-case
$font-family-sans-serif: 'Lato', sans-serif, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue',
Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol' !default;
$font-family-helvetica: 'Lato', sans-serif, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue',
Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol' !default;
$font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, 'Liberation Mono', 'Courier New', monospace !default;
$font-family-base: $font-family-sans-serif !default;
$fontFamily: $font-family-sans-serif !default;
// stylelint-enable value-keyword-case

$nav-link-color: #649db8 !default;
$input-color: $headings-color !default;
$input-border-color: $gray-400 !default;
$input-border-width: 1px !default;

$input-border-radius: 0px !default;

$input-focus-bg: white !default;
$input-height: 48px;

$padding-component: 2rem;

$color-red-error: rgb(185, 74, 72) !default;
$color-green-success: #28a745;
$color-grey-arrow: rgba(204, 204, 204, 0.2) !default;

$width-default: 220px !default; // 3 960px-grid columns

$zindex-select-dropdown: 1060 !default; // must be higher than a modal background (1050)

//** Placeholder text color
$input-color-placeholder: $gray-900 !default;
$input-alt-color-placeholder: rgba(255, 255, 255, 0.5) !default;

$input-padding-y-sm: 0.25rem !default;
$input-padding-x-sm: 0.5rem !default;

$input-padding-y-lg: 0.5rem !default;
$input-padding-x-lg: 1rem !default;

// Buttons + Forms
//
// Shared variables that are reassigned to `$input-` and `$btn-` specific variables.

$input-btn-padding-y: 1rem !default;
$input-btn-padding-x: 1.6rem !default;
$input-btn-line-height: $line-height-base !default;

$input-btn-focus-width: 0.2rem !default;
//$input-btn-focus-color:       rgba($component-active-bg, .25) !default;
//$input-btn-focus-box-shadow:  0 0 0 $input-btn-focus-width $input-btn-focus-color !default;

$input-btn-padding-y-sm: 0.25rem !default;
$input-btn-padding-x-sm: 0.5rem !default;
$input-btn-line-height-sm: $line-height-base !default;

$input-btn-padding-y-lg: 0.5rem !default;
$input-btn-padding-x-lg: 1rem !default;
$input-btn-line-height-lg: $line-height-base !default;

$input-btn-border-width: 2px !default;

// Buttons
//
// For each of Bootstrap's buttons, define text, background, and border color.

$btn-padding-y: $input-btn-padding-y !default;
$btn-padding-x: $input-btn-padding-x !default;
$btn-line-height: $input-btn-line-height !default;

$btn-padding-y-sm: $input-btn-padding-y-sm !default;
$btn-padding-x-sm: $input-btn-padding-x-sm !default;
$btn-line-height-sm: $input-btn-line-height-sm !default;

$btn-padding-y-lg: $input-btn-padding-y-lg !default;
$btn-padding-x-lg: $input-btn-padding-x-lg !default;
$btn-line-height-lg: $input-btn-line-height-lg !default;

$btn-border-width: $input-btn-border-width !default;

$btn-font-weight: 900 !default;
$btn-box-shadow: inset 0 1px 0 rgba($white, 0.15), 0 1px 1px rgba($black, 0.075) !default;
$btn-focus-width: $input-btn-focus-width !default;
//$btn-focus-box-shadow:        $input-btn-focus-box-shadow !default;
$btn-disabled-opacity: 0.65 !default;
$btn-active-box-shadow: inset 0 3px 5px rgba($black, 0.125) !default;

$btn-link-disabled-color: $gray-600 !default;

$btn-block-spacing-y: 0.5rem !default;

// Allows for customizing button radius independently from global border radius
$btn-border-radius: 8px !default;
$btn-border-radius-lg: $btn-border-radius !default;
$btn-border-radius-sm: $btn-border-radius !default;

$btn-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out,
box-shadow 0.15s ease-in-out !default;

$border-radius: 8px;
$border-radius-lg: 6px !default;
$padding-horizontal-md: 7rem;
$padding-horizontal-sm: 4rem;
$border: $gray-300;
$card-border-color: #eee;

$hover-color: #475daa;
$app-grey: #e9e9f1;
$app-red: #fff2f3;
$app-green: #f2fdf7;
$app-yellow: #fef9ef;
$app-blue: #eff2fe;
$app-light-blue: #ecfcfe;

$success-message: #06A561;


$white-color: #fff;
$red-color: #FF0000;
$search-color: rgba(247, 247, 247, 1);
$search-border-color: #f3f3f3;
$gray-background: #9b9b9b;
$background-app-color: #000056;
$primary-button-color: #141ed2;
$file-name-color: #00009a;
$background-input-file: rgb(198, 198, 233);
$background-primary-button-color: #e8eaf6;
$background-main: #f4f6fa;
$gray-shadow-boder: #cccccc;
$hover-table-row: #e9eaff;
$black-color: #000000;
$text-tree-node: #a59393de;
$label-color: #6e7191;
$background-icon: #aaadb5;
$background-icon-hover: #7d7e81;
$text-pagination: #4e4b66;
$text-status-invisibile: #a0a3bd;
$text-hover: #9e9898de;
$text-error: #ff4d4f;
$text-area-input: #f5f5f5;
// active color notification
$active-status-green: #06A561;
$active-status-red: #FA0B0B;
$active-status-yellow: #F99600;
$active-status-invisibile: #d9dbe9;
$background-active-status-green: #daf9ec;
$background-active-status-red: #fde7ea;
$border-color: #d9d9d9;
//table
$color-th: #e8eaf6;
$tooltip-text: initial;
$tooltip-border: #ccc;
$active-color: #5e81f4;
$active-color-button: #383737;
$color-text-header: #4E4B66;

$bg-upload-file: #E8EAF6;
$color-upload-file: #141ED2;
$color-tex-hint: #A0A3BD;
$color-tex-warning: #ED2E7E;

$is-working-status-text-color: #06A561; // Hien dien
$suspense-status-text-color: #F99600; // Tam hoan
$retired-status-text-color: #FA0B0B; // Nghi viec
$tag-color: #D4D7E7;
$initial-status-text-color: #6E7191; // Khoi tao
$approve-status-text-color: #06A561; // Phe duyet
$not-approve-status-text-color: #FA0B0B; // Tu choi

$is-declaring-text-color: #F99600; //Đang khai báo
$wait-approve-text-color: #F99600; //Chờ phê duyệt
$financial-accountant-received-text-color: #F99600; //TCKT đã tiếp nhận(đang xư lý)
$financial-accountant-is-processing-text-color: #F99600; //TCKT đang xử lý
$financial-accountant-return-text-color: #FA0B0B; //TCKT trả lại
$tax-authorities-return-text-color: #FA0B0B; //CQT trả lại
$tax-authorities-agree-text-color: #06A561; //CQT đồng ý


$suggestChange-color: #F99600; // #FFF2DA
$browsed-color: #06A561; //#DAF9EC
$suggestDelete-color: #FA0B0B; //#FDE7EA

$bg-gray-opacity: #E1E7EBB3;
$box-shadow-color-tab: #EDF2F7FF;
$bg-tree-search: #E6F7FF;
